from flask import render_template, request, redirect
from freeriders import app, db
from freeriders.models import Ticket
import time

@app.route('/sms', methods=['GET'])
def sms():
    if request.method == 'GET':
        try:
            lastticket = Ticket.query.order_by(Ticket.timestamp.desc()).first()
            return render_template('sms.html', ticket = lastticket)
        except:
            return 'Error retriving last ticket'
    else:
        return 'HTTP request method not recogniezed'

@app.route('/submit', methods=['POST', 'GET'])
def submit():
    if request.method == 'GET':
        return render_template('submit.html')
    elif request.method == 'POST':
        timenow = int(time.time())
        ticket_input = request.form['ticket']

        if ticket_input.isdigit() and len(ticket_input) == 10:
            ticket = Ticket(ticket = int(ticket_input), timestamp = timenow)
        else:
            return 'Ticket format is wrong. Only 10 digits allowed.'

        try:
            db.session.add(ticket)
            db.session.commit()
            return 'Ticket added'
        except:
            return 'Adding ticket failed'

    else:
        return 'HTTP request method not recogniezed'
